package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/6/23 9:58
 * @Version 1.0
 */
//@FeignClient(value = "DIL-COLUMN-DATA-DEV",url = "192.168.10.178:8083")
@Service
@FeignClient(value = "DIL-COLUMN-DATA-DEV",url = "localhost:8083")
public interface ColumnDataFeign {
    @RequestMapping("getColumnData")
    List<Map<String,Object>> getColumnData(@RequestParam("apiId") Integer apiId);
}
