package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;
import java.util.Map;

@Service

@FeignClient(value = "DIL-TRICK-QUEUE-DEV",url = "192.168.10.167:8083")

//@FeignClient(value = "DIL-TRICK-QUEUE-DEV",url = "10.244.97.87:80")
public interface QueueResult {
    @RequestMapping(value = "/api/v1/tq/queue/getResultById/{resultId}",method = RequestMethod.GET)
    List<Map<String, Object>> getResultById(@PathVariable("resultId") Integer resultId);
}
