package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/6/23 9:58
 * @Version 1.0
 */
@FeignClient(value = "dil-wsm-api",url = "192.168.0.104:8091")
public interface WmsBoundFeign {

    @PostMapping("api/v1/wms/wmshinboundresults/addWarehousingResult")
    RESTfulResult addWarehousingResult(@RequestBody(required = false) Map<String,Object> wmshInboundResult);

    @PostMapping("api/v1/wms/wmshoutboundresults/addResult")
    RESTfulResult addResult(@RequestBody(required = false) Map<String,Object> map);
}
